This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000868 - [abrt] pptp-1.7.2-22.fc20: binary_search: Process /usr/sbin/pptp was killed by signal 11 (SIGSEGV)
[abrt] pptp-1.7.2-22.fc20: binary_search: Process /usr/sbin/pptp was killed b...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pptp (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
abrt_hash:5621412cab7baf6b84f29eac7e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 22:15 EDT by Christopher Meng
Modified: 2015-01-23 11:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-23 11:14:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.25 KB, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: cgroup (152 bytes, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: core_backtrace (2.06 KB, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: dso_list (287 bytes, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: environ (285 bytes, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: maps (1.21 KB, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: proc_pid_status (751 bytes, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details
File: var_log_messages (12.74 KB, text/plain)
2013-08-25 22:15 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-08-25 22:15:02 EDT
Description of problem:
It caused 1 minute suck of the system freeze.

Using Chrome.

Version-Release number of selected component:
pptp-1.7.2-22.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /sbin/pptp 10.6.205.213 --nolaunchpppd --loglevel 0 --logstring nm-pptp-service-27872
crash_function: binary_search
executable:     /usr/sbin/pptp
kernel:         3.11.0-0.rc6.git3.2.fc21.i686+PAE
open_fds:       
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 binary_search at vector.c:149
 #1 vector_contains at vector.c:138
 #2 pptp_call_destroy at pptp_ctrl.c:410
 #3 pptp_conn_destroy at pptp_ctrl.c:449
 #4 callmgr_main at pptp_callmgr.c:304
 #5 launch_callmgr at pptp.c:527
 #6 open_callmgr at pptp.c:496

Potential duplicate: bug 869901
Comment 1 Christopher Meng 2013-08-25 22:15:06 EDT
Created attachment 790213 [details]
File: backtrace
Comment 2 Christopher Meng 2013-08-25 22:15:10 EDT
Created attachment 790214 [details]
File: cgroup
Comment 3 Christopher Meng 2013-08-25 22:15:13 EDT
Created attachment 790215 [details]
File: core_backtrace
Comment 4 Christopher Meng 2013-08-25 22:15:17 EDT
Created attachment 790216 [details]
File: dso_list
Comment 5 Christopher Meng 2013-08-25 22:15:20 EDT
Created attachment 790217 [details]
File: environ
Comment 6 Christopher Meng 2013-08-25 22:15:24 EDT
Created attachment 790218 [details]
File: exploitable
Comment 7 Christopher Meng 2013-08-25 22:15:27 EDT
Created attachment 790219 [details]
File: limits
Comment 8 Christopher Meng 2013-08-25 22:15:36 EDT
Created attachment 790220 [details]
File: maps
Comment 9 Christopher Meng 2013-08-25 22:15:39 EDT
Created attachment 790221 [details]
File: proc_pid_status
Comment 10 Christopher Meng 2013-08-25 22:15:43 EDT
Created attachment 790222 [details]
File: var_log_messages
Comment 11 Fedora Admin XMLRPC Client 2013-10-18 10:25:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Jaroslav Škarvada 2015-01-23 11:14:52 EST
Probably dupe of bug 1183627, it should be fixed now in rawhide, so closing.

Note You need to log in before you can comment on or make changes to this bug.